using UnityEngine;
using System.Collections;

[RequireComponent(typeof(AnimationManager))]
public class SummonMarker : MonoBehaviour
{
    public enum State
    {
        Idle,
        Ignighted,
    }

    private AnimationManager _animationManager;

    void Awake()
    {
        _animationManager = GetComponent<AnimationManager>();
    }

    // Use this for initialization
    void Start()
    {
    }

    // Update is called once per frame
    void Update()
    {

    }

    public void SetState(State state)
    {
        _animationManager.SetState((int)state);
    }   
}
